HP laserjet pro M28a

Le
Michel
Bonjour,

Sous Debian Stretch, je viens de changer mon imprimante. J'ai eu
plusieurs HP deskjet multifonctions imprimante + scanner, mais vu le
prix des cartouches et l'utilité pour moi de la couleur, j'ai donc
décidé d'acheter une laser N/B.
Tout fonctionne SAUF le scanner. J'ai mis à jour les pilotes, et même
upgradé en backports, mais rien à faire, le scan démarre, puis s'arrête
avec une erreur, quelque soit l'application ( xsane, scanimage, hp-scan,
etc )
En lançant hp-scan, j'ai le message suivant:
error: SANE: Error during device I/O (code=9)
À priori, en cherchant sur internet, ce problème est récurant. HP
abandonnerait-il les logiciels libres?

Quelqu'un a-t-il rencontré ce type de problème? Ou mieux, trouvé une
solution?

Merci
Michel
  • Partager ce contenu :
Vos réponses
Trier par : date / pertinence
Gaëtan Perrier
Le #26535598
--=-haZRQ1zNdrvBTg/r3YGu
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
Le samedi 11 janvier 2020 à 17:09 +0100, Michel a écrit :
Bonjour,
Sous Debian Stretch, je viens de changer mon imprimante. J'ai eu
plusieurs HP deskjet multifonctions imprimante + scanner, mais vu le
prix des cartouches et l'utilité pour moi de la couleur, j'ai donc
décidé d'acheter une laser N/B.
Tout fonctionne SAUF le scanner. J'ai mis à jour les pilotes, et m ême
upgradé en backports, mais rien à faire, le scan démarre, puis s'arrête
avec une erreur, quelque soit l'application ( xsane, scanimage, hp-scan,
etc... )
En lançant hp-scan, j'ai le message suivant:
error: SANE: Error during device I/O (code=9)
À priori, en cherchant sur internet, ce problème est récur ant. HP
abandonnerait-il les logiciels libres?
Quelqu'un a-t-il rencontré ce type de problème? Ou mieux, trouv é une
solution?
Merci
Michel

Selon cette page
https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/i ndex
le support est complet depuis la version 3.18.4. Dans stretch la version de
base est la 3.16.11 et en backports 3.18.12. Tu confirmes avoir cette derni ère
?
Sinon j'ai souvenir avoir eu des problèmes avec une version backports de hplip
que j'avais résolu en installant hplip depuis
https://developers.hp.com/hp-linux-imaging-and-printing/gethplip
A+
Gaëtan
--=-haZRQ1zNdrvBTg/r3YGu
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit
-----BEGIN PGP SIGNATURE-----
iQEzBAABCgAdFiEEd7zcTjS9jiJYzB4MTEjQapSg6ZkFAl4aEkoACgkQTEjQapSg
6Zn0Swf/YunEBZg0c7zy5DLnANRcllnG9bnLZQOjzOYggr/uo9DYur5P8YiE5V51
cEnYEV6B/2hGfdPxC4NIk/M2cMcQdtRUxq9v/jUmIJTsYAXCqCJinr90JFTxWv4k
ieaJe51oh2hJx9CpxLBgBSXCkF15T6ECyXp/HkNp1aCxTcQD2yaisYa1pUwRIqWc
PnpJr021qCKZfo9VwoqdbAOPSONqxrqNJlx7t0GshYNn3VVUz2AvrkB7/JhVOObg
7XWeHhxQ3ukvASEml6pJy5m146BTyhvDzeEzaLvrJTJLpBKLqGahfIV+h+wryPwh
BIHffStrPf7PDwJGFA+h8ZvzX3SXWA= =TD7G
-----END PGP SIGNATURE-----
--=-haZRQ1zNdrvBTg/r3YGu--
Michel
Le #26535610
Le 11/01/2020 à 19:30, Gaëtan Perrier a écrit :
Le samedi 11 janvier 2020 à 17:09 +0100, Michel a écrit :
Bonjour,
Sous Debian Stretch, je viens de changer mon imprimante. J'ai eu
plusieurs HP deskjet multifonctions imprimante + scanner, mais vu le
prix des cartouches et l'utilité pour moi de la couleur, j'ai donc
décidé d'acheter une laser N/B.
Tout fonctionne SAUF le scanner. J'ai mis à jour les pilotes, et même
upgradé en backports, mais rien à faire, le scan démarre, puis s'arrête
avec une erreur, quelque soit l'application ( xsane, scanimage, hp-scan,
etc... )
En lançant hp-scan, j'ai le message suivant:
error: SANE: Error during device I/O (code=9)
À priori, en cherchant sur internet, ce problème est récurant. HP
abandonnerait-il les logiciels libres?
Quelqu'un a-t-il rencontré ce type de problème? Ou mieux, trouvé une
solution?
Merci
Michel

Selon cette page
https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index
le support est complet depuis la version 3.18.4. Dans stretch la version de
base est la 3.16.11 et en backports 3.18.12. Tu confirmes avoir cette dernière
?
Sinon j'ai souvenir avoir eu des problèmes avec une version backports de hplip
que j'avais résolu en installant hplip depuis
https://developers.hp.com/hp-linux-imaging-and-printing/gethplip
A+
Gaëtan

En effet, je confirme que le hplip utilisé est en version 3.18.12 des
backports.
J'ai aussi essayé l'autre possibilité ( 3.19.12 actuellement ) mais
l'installation échoue sur un problème de dépendance. Sur le net, dans
des forums anglophones, des personnes ont installés ces nouvelles
versions avec le même résultat ( le scan démarre puis échoue, comme s'il
y avait un problème de timeout ).
Merci de ta réponse
Michel
Jérémy Prego
Le #26535629
Bonjour,
avez vous essayé d'installer hplip-plugins ?
https://developers.hp.com/hp-linux-imaging-and-printing/plugins
ici, ça a résolu ce souci que j'avais depuis un certain temps avec ma
laserjet.
il faut télécharger la  même version du plugin que votre version de
hplip, et lancer le .run.
Jerem
Le 11/01/2020 à 20:47, Michel a écrit :
Le 11/01/2020 à 19:30, Gaëtan Perrier a écrit :
Le samedi 11 janvier 2020 à 17:09 +0100, Michel a écrit :
Bonjour,
Sous Debian Stretch, je viens de changer mon imprimante. J'ai eu
plusieurs HP deskjet multifonctions imprimante + scanner, mais vu le
prix des cartouches et l'utilité pour moi de la couleur, j'ai donc
décidé d'acheter une laser N/B.
Tout fonctionne SAUF le scanner. J'ai mis à jour les pilotes, et même
upgradé en backports, mais rien à faire, le scan démarre, puis s'arrête
avec une erreur, quelque soit l'application ( xsane, scanimage, hp-scan,
etc... )
En lançant hp-scan, j'ai le message suivant:
error: SANE: Error during device I/O (code=9)
À priori, en cherchant sur internet, ce problème est récurant. HP
abandonnerait-il les logiciels libres?
Quelqu'un a-t-il rencontré ce type de problème? Ou mieux, trouvé une
solution?
Merci
Michel

Selon cette page
https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index
le support est complet depuis la version 3.18.4. Dans stretch la version de
base est la 3.16.11 et en backports 3.18.12. Tu confirmes avoir cette dernière
?
Sinon j'ai souvenir avoir eu des problèmes avec une version backports de hplip
que j'avais résolu en installant hplip depuis
https://developers.hp.com/hp-linux-imaging-and-printing/gethplip
A+
Gaëtan

En effet, je confirme que le hplip utilisé est en version 3.18.12 des
backports.
J'ai aussi essayé l'autre possibilité ( 3.19.12 actuellement ) mais
l'installation échoue sur un problème de dépendance. Sur le net, dans
des forums anglophones, des personnes ont installés ces nouvelles
versions avec le même résultat ( le scan démarre puis échoue, comme s'il
y avait un problème de timeout ).
Merci de ta réponse
Michel
Michel
Le #26535636
Le 12/01/2020 à 09:50, Jérémy Prego a écrit :
Bonjour,
avez vous essayé d'installer hplip-plugins ?
https://developers.hp.com/hp-linux-imaging-and-printing/plugins
ici, ça a résolu ce souci que j'avais depuis un certain temps avec ma
laserjet.
il faut télécharger la  même version du plugin que votre version de
hplip, et lancer le .run.


Oui, ça a été fait avec les diverses versions de hplip.
Tant pis, je pense que ce sera mon dernier achat chez HP, je suis
d'autant plus déçu que j'avais parcouru leur site, et il y est indiqué
en clair que cette machine est totalement supportée, tant l'imprimante
que le scanner!
didier.gaumet
Le #26535637
Le samedi 11 janvier 2020 19:30:02 UTC+1, Gaëtan Perrier a écrit  :
Selon cette page
https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices /index
le support est complet depuis la version 3.18.4.

[...]
pour préciser le propos de Gaëtan, le tableau indique que:
- ce modèle n'a pas besoin des plug-ins
- les support est complet mais uniquement sur le domaine défini: contr airement à une majorité d'autres imprimantes/combos du tableau, l a connectivité de ce modèle est USB, pas USB/réseau.
Michel
Le #26535643
Le 12/01/2020 à 10:50, a écrit :
Le samedi 11 janvier 2020 19:30:02 UTC+1, Gaëtan Perrier a écrit :
Selon cette page
https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index
le support est complet depuis la version 3.18.4.

[...]
pour préciser le propos de Gaëtan, le tableau indique que:
- ce modèle n'a pas besoin des plug-ins

Dès le premier scan, les plug-ins sont réclamés par le système ( malgré
ce qui est indiqué dans la doc de HP ).
- les support est complet mais uniquement sur le domaine défini: contrairement à une majorité d'autres imprimantes/combos du tableau, la connectivité de ce modèle est USB, pas USB/réseau.


Bien sûr, il n'y a que l'USB sur ce modèle.
Merci.
Michel
didier.gaumet
Le #26535678
Le dimanche 12 janvier 2020 11:20:03 UTC+1, Michel a écrit :
[...]
Bien sûr, il n'y a que l'USB sur ce modèle.

Ah ben tu vois, ma contribution était super utile ;-)
désolé, y a des jours où ce que je dis ne passe que trop bri èvement par mon cerveau ;-)
Plus sérieusement, au hasard, pour voir, tu as essayé de tester u n scan en root (ou sudo) pour voir si éventuellement ça marche?
Michel
Le #26535697
Le 12/01/2020 à 20:40, a écrit :
Le dimanche 12 janvier 2020 11:20:03 UTC+1, Michel a écrit :
[...]
Bien sûr, il n'y a que l'USB sur ce modèle.

Ah ben tu vois, ma contribution était super utile ;-)
désolé, y a des jours où ce que je dis ne passe que trop brièvement par mon cerveau ;-)
Plus sérieusement, au hasard, pour voir, tu as essayé de tester un scan en root (ou sudo) pour voir si éventuellement ça marche?

Oui, mais c'est le même résultat, ce n'est pas un problème de droit.
Poster une réponse
Anonyme